> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Invokes the c1.api.accessreview.v1.AccessReviewService.Get method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/access_review/{id}
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/access_review/{id}:
    get:
      tags:
        - Access Review
      summary: Get
      description: Invokes the c1.api.accessreview.v1.AccessReviewService.Get method.
      operationId: c1.api.accessreview.v1.AccessReviewService.Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.accessreview.v1.AccessReviewServiceGetResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AccessReview.Get(ctx, operations.C1APIAccessreviewV1AccessReviewServiceGetRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AccessReviewServiceGetResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.accessreview.v1.AccessReviewServiceGetResponse:
      description: The AccessReviewServiceGetResponse message.
      properties:
        accessReview:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReviewView'
        expanded:
          description: The expanded field.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            readOnly: false
            type: object
          nullable: true
          readOnly: false
          type: array
      title: Access Review Service Get Response
      type: object
      x-speakeasy-name-override: AccessReviewServiceGetResponse
    c1.api.accessreview.v1.AccessReviewView:
      description: The AccessReviewView message.
      properties:
        accessReview:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReview'
        createdByUserPath:
          description: The createdByUserPath field.
          readOnly: false
          type: string
        objectPermissions:
          $ref: '#/components/schemas/c1.api.iam.v1.ActorObjectPermissions'
        policyPath:
          description: The policyPath field.
          readOnly: false
          type: string
      title: Access Review View
      type: object
      x-speakeasy-name-override: AccessReviewView
    c1.api.accessreview.v1.AccessReview:
      description: >
        The AccessReview message.


        This message contains a oneof named setup_metadata. Only a single field
        of the following list may be set at a time:
          - singleApp
          - multiApp
          - bindings
      properties:
        accessReviewTemplateId:
          description: The ID of the template if the campaign was created from one
          readOnly: false
          type: string
        autoGenerateReport:
          description: The autoGenerateReport field.
          readOnly: false
          type: boolean
        autoResolve:
          description: The autoResolve field.
          readOnly: false
          type: boolean
        bindings:
          $ref: '#/components/schemas/c1.api.accessreview.v1.BindingObjectSetup'
        closedAt:
          format: date-time
          readOnly: false
          type: string
        completionDate:
          format: date-time
          readOnly: false
          type: string
        connectorSourcesFrozenAt:
          format: date-time
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        createdById:
          description: The createdById field.
          readOnly: false
          type: string
        defaultView:
          description: >-
            the default view that reviewers will see when they complete their
            access reviews
          enum:
            - ACCESS_REVIEW_VIEW_TYPE_UNSPECIFIED
            - ACCESS_REVIEW_VIEW_TYPE_BY_APP
            - ACCESS_REVIEW_VIEW_TYPE_BY_USER
            - ACCESS_REVIEW_VIEW_TYPE_UNSTRUCTURED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        exclusionScope:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.AccessReviewExclusionScope
        exemptCertifiedAccessConflicts:
          description: this setting is used for access conflict type scope
          readOnly: false
          type: boolean
        expectedTicketCount:
          description: The expectedTicketCount field.
          format: int32
          readOnly: false
          type: integer
        hasAccuracySupport:
          description: The hasAccuracySupport field.
          readOnly: false
          type: boolean
        id:
          description: The id field.
          readOnly: false
          type: string
        inclusionScope:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.AccessReviewInclusionScope
        multiApp:
          $ref: '#/components/schemas/c1.api.accessreview.v1.MultiAppSetup'
        notificationConfig:
          $ref: '#/components/schemas/c1.api.accessreview.v1.NotificationConfig'
        policyId:
          description: The policyId field.
          readOnly: false
          type: string
        reviewInstructions:
          description: The reviewInstructions field.
          readOnly: false
          type: string
        scope:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReviewScope'
        scopeType:
          description: this sets the scope type for the access review
          enum:
            - ACCESS_REVIEW_SCOPE_TYPE_UNSPECIFIED
            - ACCESS_REVIEW_SCOPE_TYPE_BY_ENTITLEMENTS
            - ACCESS_REVIEW_SCOPE_TYPE_BY_ACCESS_CONFLICTS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        scopeV2:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReviewScopeV2'
        scopingVersion:
          description: The scopingVersion field.
          format: int64
          readOnly: false
          type: string
        signatureConfig:
          $ref: '#/components/schemas/c1.api.accessreview.v1.ReviewSignatureConfig'
        singleApp:
          $ref: '#/components/schemas/c1.api.accessreview.v1.SingleAppSetup'
        startedAt:
          format: date-time
          readOnly: false
          type: string
        state:
          description: The state field.
          enum:
            - ACCESS_REVIEW_STATE_UNSPECIFIED
            - ACCESS_REVIEW_STATE_OPEN
            - ACCESS_REVIEW_STATE_CLOSED
            - ACCESS_REVIEW_STATE_PENDING
            - ACCESS_REVIEW_STATE_REVIEW
            - ACCESS_REVIEW_STATE_PREPARING
            - ACCESS_REVIEW_STATE_STARTING
            - ACCESS_REVIEW_STATE_DRAFT
            - ACCESS_REVIEW_STATE_DELETING
            - ACCESS_REVIEW_STATE_DELETED
            - ACCESS_REVIEW_STATE_RESETTING_POLICIES
            - ACCESS_REVIEW_STATE_COPYING_SETUP_ENTITLEMENTS
            - ACCESS_REVIEW_STATE_COPYING_RESOURCE_TYPE_SELECTIONS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        usePolicyOverride:
          description: >-
            Determines the policy applied to the campaign. Default is false,
            using the campaign policy.
             If true, the order of precedence is entitlement → app → campaign policy.
          readOnly: false
          type: boolean
      title: Access Review
      type: object
      x-speakeasy-entity: Access Review
      x-speakeasy-name-override: AccessReview
    c1.api.iam.v1.ActorObjectPermissions:
      description: The ActorObjectPermissions message.
      properties:
        delete:
          description: The delete field.
          readOnly: false
          type: boolean
        edit:
          description: The edit field.
          readOnly: false
          type: boolean
        extra:
          additionalProperties:
            type: boolean
          description: The extra field.
          readOnly: false
          type: object
        read:
          description: The read field.
          readOnly: false
          type: boolean
      title: Actor Object Permissions
      type: object
      x-speakeasy-name-override: ActorObjectPermissions
    c1.api.accessreview.v1.BindingObjectSetup:
      description: The BindingObjectSetup message.
      nullable: true
      title: Binding Object Setup
      type: object
      x-speakeasy-name-override: BindingObjectSetup
    c1.api.accessreview.v1.AccessReviewExclusionScope:
      description: The AccessReviewExclusionScope message.
      properties:
        appUserStatuses:
          description: The appUserStatuses field.
          items:
            enum:
              - APP_USER_STATUS_UNSPECIFIED
              - APP_USER_STATUS_ENABLED
              - APP_USER_STATUS_DISABLED
              - APP_USER_STATUS_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        appUserTypes:
          description: The appUserTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: Access Review Exclusion Scope
      type: object
      x-speakeasy-name-override: AccessReviewExclusionScope
    c1.api.accessreview.v1.AccessReviewInclusionScope:
      description: The AccessReviewInclusionScope message.
      properties:
        appUserStatuses:
          description: The appUserStatuses field.
          items:
            enum:
              - APP_USER_STATUS_UNSPECIFIED
              - APP_USER_STATUS_ENABLED
              - APP_USER_STATUS_DISABLED
              - APP_USER_STATUS_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        appUserTypes:
          description: The appUserTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        managerIds:
          description: The managerIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        multiUserProfileAttributes:
          additionalProperties:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.IncludedUserAttributeValues
          description: The multiUserProfileAttributes field.
          readOnly: false
          type: object
        noAccountOwners:
          description: The noAccountOwners field.
          readOnly: false
          type: boolean
        userIds:
          description: The userIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        userStatuses:
          description: The userStatuses field.
          items:
            enum:
              - USER_UNKNOWN
              - USER_ENABLED
              - USER_DISABLED
              - USER_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: Access Review Inclusion Scope
      type: object
      x-speakeasy-name-override: AccessReviewInclusionScope
    c1.api.accessreview.v1.MultiAppSetup:
      description: The MultiAppSetup message.
      nullable: true
      properties:
        appEntitlementDetails:
          additionalProperties:
            $ref: '#/components/schemas/c1.api.accessreview.v1.EntitlementToDetails'
          description: The appEntitlementDetails field.
          readOnly: false
          type: object
        appEntitlements:
          additionalProperties:
            $ref: '#/components/schemas/c1.api.accessreview.v1.MultiAppEntitlement'
          description: The appEntitlements field.
          readOnly: false
          type: object
      title: Multi App Setup
      type: object
      x-speakeasy-name-override: MultiAppSetup
    c1.api.accessreview.v1.NotificationConfig:
      description: The NotificationConfig message.
      properties:
        sendClose:
          description: The sendClose field.
          readOnly: false
          type: boolean
        sendReminders:
          description: The sendReminders field.
          readOnly: false
          type: boolean
      title: Notification Config
      type: object
      x-speakeasy-name-override: NotificationConfig
    c1.api.accessreview.v1.AccessReviewScope:
      description: The AccessReviewScope message.
      properties:
        appUserStatuses:
          description: The appUserStatuses field.
          items:
            enum:
              - APP_USER_STATUS_UNSPECIFIED
              - APP_USER_STATUS_ENABLED
              - APP_USER_STATUS_DISABLED
              - APP_USER_STATUS_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        appUserTypes:
          description: The appUserTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: Access Review Scope
      type: object
      x-speakeasy-name-override: AccessReviewScope
    c1.api.accessreview.v1.AccessReviewScopeV2:
      description: >
        The AccessReviewScopeV2 message.


        This message contains a oneof named apps_and_resources_scope. Only a
        single field of the following list may be set at a time:
          - appAccess
          - specificResources
          - appSelectionCriteria
          - resourceTypeSelections


        This message contains a oneof named users_scope. Only a single field of
        the following list may be set at a time:
          - allUsers
          - selectedUsers
          - userCriteria
          - celExpression


        This message contains a oneof named accounts_scope. Only a single field
        of the following list may be set at a time:
          - allAccounts
          - accountCriteria
          - accountCelExpression


        This message contains a oneof named grants_scope. Only a single field of
        the following list may be set at a time:
          - allGrants
          - grantsByCriteria


        This message contains a oneof named access_conflicts_scope. Only a
        single field of the following list may be set at a time:
          - allAccessConflicts
          - specificAccessConflicts
      properties:
        accountCelExpression:
          $ref: '#/components/schemas/c1.api.accessreview.v1.CelExpressionScope'
        accountCriteria:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccountCriteriaScope'
        allAccessConflicts:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllAccessConflictsScope'
        allAccounts:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllAccountsScope'
        allGrants:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllGrantsScope'
        allUsers:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllUsersScope'
        appAccess:
          $ref: '#/components/schemas/c1.api.accessreview.v1.ApplicationAccessScope'
        appSelectionCriteria:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.AppSelectionCriteriaScope
        celExpression:
          $ref: '#/components/schemas/c1.api.accessreview.v1.CelExpressionScope'
        grantsByCriteria:
          $ref: '#/components/schemas/c1.api.accessreview.v1.GrantsByCriteriaScope'
        resourceTypeSelections:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.ResourceTypeSelectionScope
        selectedUsers:
          $ref: '#/components/schemas/c1.api.accessreview.v1.SelectedUsersScope'
        specificAccessConflicts:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.SpecificAccessConflictsScope
        specificResources:
          $ref: '#/components/schemas/c1.api.accessreview.v1.SpecificResourcesScope'
        userCriteria:
          $ref: '#/components/schemas/c1.api.accessreview.v1.UserCriteriaScope'
      title: Access Review Scope V 2
      type: object
      x-speakeasy-name-override: AccessReviewScopeV2
    c1.api.accessreview.v1.ReviewSignatureConfig:
      description: Signature configuration for access review submissions
      properties:
        meaningOfSignature:
          description: The meaningOfSignature field.
          readOnly: false
          type: string
        requireSignature:
          description: The requireSignature field.
          readOnly: false
          type: boolean
        stepUpProviderId:
          description: The stepUpProviderId field.
          readOnly: false
          type: string
        tspUrl:
          description: The tspUrl field.
          readOnly: false
          type: string
      title: Review Signature Config
      type: object
      x-speakeasy-name-override: ReviewSignatureConfig
    c1.api.accessreview.v1.SingleAppSetup:
      description: The SingleAppSetup message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
      title: Single App Setup
      type: object
      x-speakeasy-name-override: SingleAppSetup
    c1.api.accessreview.v1.IncludedUserAttributeValues:
      description: The IncludedUserAttributeValues message.
      properties:
        values:
          description: The values field.
          items:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.IncludedUserAttributeValue
          nullable: true
          readOnly: false
          type: array
      title: Included User Attribute Values
      type: object
      x-speakeasy-name-override: IncludedUserAttributeValues
    c1.api.accessreview.v1.EntitlementToDetails:
      description: The EntitlementToDetails message.
      properties:
        entitlementDetails:
          additionalProperties:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.CampaignEntitlementDetails
          description: The entitlementDetails field.
          readOnly: false
          type: object
      title: Entitlement To Details
      type: object
      x-speakeasy-name-override: EntitlementToDetails
    c1.api.accessreview.v1.MultiAppEntitlement:
      description: The MultiAppEntitlement message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        entitlementIds:
          description: The entitlementIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Multi App Entitlement
      type: object
      x-speakeasy-name-override: MultiAppEntitlement
    c1.api.accessreview.v1.CelExpressionScope:
      description: The CelExpressionScope message.
      nullable: true
      properties:
        expression:
          description: The expression field.
          readOnly: false
          type: string
      title: Cel Expression Scope
      type: object
      x-speakeasy-name-override: CelExpressionScope
    c1.api.accessreview.v1.AccountCriteriaScope:
      description: The AccountCriteriaScope message.
      nullable: true
      properties:
        accountDomain:
          description: The accountDomain field.
          enum:
            - APP_USER_DOMAIN_UNSPECIFIED
            - APP_USER_DOMAIN_EXTERNAL
            - APP_USER_DOMAIN_TRUSTED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        accountTypes:
          description: The accountTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        appUserStatuses:
          description: The appUserStatuses field.
          items:
            enum:
              - APP_USER_STATUS_UNSPECIFIED
              - APP_USER_STATUS_ENABLED
              - APP_USER_STATUS_DISABLED
              - APP_USER_STATUS_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        noAccountOwner:
          description: The noAccountOwner field.
          readOnly: false
          type: boolean
      title: Account Criteria Scope
      type: object
      x-speakeasy-name-override: AccountCriteriaScope
    c1.api.accessreview.v1.AllAccessConflictsScope:
      description: The AllAccessConflictsScope message.
      nullable: true
      title: All Access Conflicts Scope
      type: object
      x-speakeasy-name-override: AllAccessConflictsScope
    c1.api.accessreview.v1.AllAccountsScope:
      description: The AllAccountsScope message.
      nullable: true
      title: All Accounts Scope
      type: object
      x-speakeasy-name-override: AllAccountsScope
    c1.api.accessreview.v1.AllGrantsScope:
      description: The AllGrantsScope message.
      nullable: true
      title: All Grants Scope
      type: object
      x-speakeasy-name-override: AllGrantsScope
    c1.api.accessreview.v1.AllUsersScope:
      description: The AllUsersScope message.
      nullable: true
      title: All Users Scope
      type: object
      x-speakeasy-name-override: AllUsersScope
    c1.api.accessreview.v1.ApplicationAccessScope:
      description: The ApplicationAccessScope message.
      nullable: true
      title: Application Access Scope
      type: object
      x-speakeasy-name-override: ApplicationAccessScope
    c1.api.accessreview.v1.AppSelectionCriteriaScope:
      description: The AppSelectionCriteriaScope message.
      nullable: true
      title: App Selection Criteria Scope
      type: object
      x-speakeasy-name-override: AppSelectionCriteriaScope
    c1.api.accessreview.v1.GrantsByCriteriaScope:
      description: >
        The GrantsByCriteriaScope message.


        This message contains a oneof named criteria_filter. Only a single field
        of the following list may be set at a time:
          - daysSinceAdded
          - daysSinceReviewed
          - grantsAddedBetween
      nullable: true
      properties:
        accessProfileFilter:
          $ref: '#/components/schemas/c1.api.accessreview.v1.GrantAccessProfileFilter'
        daysSinceAdded:
          format: duration
          readOnly: false
          type: string
        daysSinceLastUsed:
          format: duration
          readOnly: false
          type: string
        daysSinceReviewed:
          format: duration
          readOnly: false
          type: string
        grantsAddedBetween:
          $ref: '#/components/schemas/c1.api.accessreview.v1.GrantsAddedBetween'
        sourceFilter:
          description: The sourceFilter field.
          enum:
            - GRANT_SOURCE_FILTER_UNSPECIFIED
            - GRANT_SOURCE_FILTER_DIRECT
            - GRANT_SOURCE_FILTER_INHERITED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        typeFilter:
          description: The typeFilter field.
          enum:
            - GRANT_FILTER_TYPE_UNSPECIFIED
            - GRANT_FILTER_TYPE_PERMANENT
            - GRANT_FILTER_TYPE_TEMPORARY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Grants By Criteria Scope
      type: object
      x-speakeasy-name-override: GrantsByCriteriaScope
    c1.api.accessreview.v1.ResourceTypeSelectionScope:
      description: The ResourceTypeSelectionScope message.
      nullable: true
      title: Resource Type Selection Scope
      type: object
      x-speakeasy-name-override: ResourceTypeSelectionScope
    c1.api.accessreview.v1.SelectedUsersScope:
      description: The SelectedUsersScope message.
      nullable: true
      properties:
        userIds:
          description: The userIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Selected Users Scope
      type: object
      x-speakeasy-name-override: SelectedUsersScope
    c1.api.accessreview.v1.SpecificAccessConflictsScope:
      description: The SpecificAccessConflictsScope message.
      nullable: true
      title: Specific Access Conflicts Scope
      type: object
      x-speakeasy-name-override: SpecificAccessConflictsScope
    c1.api.accessreview.v1.SpecificResourcesScope:
      description: The SpecificResourcesScope message.
      nullable: true
      title: Specific Resources Scope
      type: object
      x-speakeasy-name-override: SpecificResourcesScope
    c1.api.accessreview.v1.UserCriteriaScope:
      description: The UserCriteriaScope message.
      nullable: true
      properties:
        groupAppEntitlementsRef:
          description: The groupAppEntitlementsRef field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        managerUserIds:
          description: The managerUserIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        multiUserProfileAttributes:
          additionalProperties:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.IncludedUserAttributeValues
          description: The multiUserProfileAttributes field.
          readOnly: false
          type: object
        userStatus:
          description: The userStatus field.
          items:
            enum:
              - UNKNOWN
              - ENABLED
              - DISABLED
              - DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: User Criteria Scope
      type: object
      x-speakeasy-name-override: UserCriteriaScope
    c1.api.accessreview.v1.IncludedUserAttributeValue:
      description: The IncludedUserAttributeValue message.
      properties:
        value:
          description: The value field.
          readOnly: false
          type: string
      title: Included User Attribute Value
      type: object
      x-speakeasy-name-override: IncludedUserAttributeValue
    c1.api.accessreview.v1.CampaignEntitlementDetails:
      description: The CampaignEntitlementDetails message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        entitlementId:
          description: The entitlementId field.
          readOnly: false
          type: string
        policyId:
          description: The policyId field.
          readOnly: false
          type: string
      title: Campaign Entitlement Details
      type: object
      x-speakeasy-name-override: CampaignEntitlementDetails
    c1.api.accessreview.v1.GrantAccessProfileFilter:
      description: The GrantAccessProfileFilter message.
      properties:
        excludedAccessProfileIds:
          description: |-
            Access profile IDs to EXCLUDE from the campaign
             Used when filter_type = EXCLUDE_SPECIFIC
             Max 32 profile IDs
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        filterType:
          description: The filterType field.
          enum:
            - ACCESS_PROFILE_FILTER_TYPE_UNSPECIFIED
            - ACCESS_PROFILE_FILTER_TYPE_INCLUDE_ALL
            - ACCESS_PROFILE_FILTER_TYPE_EXCLUDE_ALL
            - ACCESS_PROFILE_FILTER_TYPE_EXCLUDE_SPECIFIC
            - ACCESS_PROFILE_FILTER_TYPE_INCLUDE_SPECIFIC
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        includedAccessProfileIds:
          description: |-
            Access profile IDs to INCLUDE in the campaign
             Used when filter_type = INCLUDE_SPECIFIC
             Max 32 profile IDs
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Grant Access Profile Filter
      type: object
      x-speakeasy-name-override: GrantAccessProfileFilter
    c1.api.accessreview.v1.GrantsAddedBetween:
      description: The GrantsAddedBetween message.
      nullable: true
      properties:
        endDate:
          format: date-time
          readOnly: false
          type: string
        startDate:
          format: date-time
          readOnly: false
          type: string
      title: Grants Added Between
      type: object
      x-speakeasy-name-override: GrantsAddedBetween
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````